// pages/company/company/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },
  goMap(){
    console.log("123")
    wx.getLocation({
      type: 'gcj02', //返回可以用于wx.openLocation的经纬度
      success (res) {
        console.log(res);
        const latitude = 34.757034;
        const longitude = 113.772587;
        wx.openLocation({
          latitude,
          longitude,
          name:'郑州一才企业管理有限公司',
          address:'河南省郑州市管城回族区心怡路与东站南街交叉口郑东升龙广场2号楼5楼',
          scale: 18
        })
      },
      fail(res){
        console.log(res)
      }
     })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})